@import url("https://fonts.googleapis.com/css2?family=Baloo+Da+2:wght@400;500;600;700;800&family=Oswald:wght@200;300;400;500;600;700&display=swap");

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: transparent;
    text-decoration: none;
    list-style-type: none;
    font-family: "Baloo Da 2", cursive;
}
html {
    font-size: 62.5%;
}

/* .grupo2W, .grupo3W, .grupo4W, .grupo5W, .grupo6W, .grupo7W, .grupo8W, .grupo9W, .grupo10W, .grupo11W, .grupo12W, .grupo13W,.grupo14W, .grupo15W{
    display: none;
} */

/* Seções */

body {
    background: url(../img/2180133.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-color: rgba(0, 0, 0, 0.6);
    background-blend-mode: overlay;
    background-attachment: fixed;
    background-position: top center;
    /* background: #0f2027;
    background: -webkit-linear-gradient(
        to top,
        #0f2027,
        #203a43,
        #2c5364
    );
    background: linear-gradient(
        to top,
        #0f2027,
        #203a43,
        #2c5364
    ); */
    min-height: 100vh;
}

.section {
    width: 80vw;
    margin: 2rem auto;
    /* border: 1px solid red; */
    background: #376d85;
    border-radius: 3rem;
    box-shadow: 0px 0px 10px black;
    color: #ddd;
    transition: width 1s;
}

/* .grupo1W{
    height: 0%;
} */

.food {
    max-height: 0;
    overflow: hidden;
}

/* .section.change{
    box-shadow: 0px 0px 10px black;
} */
.section.change .food {
    max-height: fit-content;
    padding: 2rem 0;
}

.section.change .heading {
    box-shadow: none;
}

.section.change .heading i {
    transform: translateY(-50%) rotate(180deg);
}

.section .heading {
    text-align: center;
    font-size: 5rem;
    /* border-bottom: 1px solid red; */
    position: relative;
    padding: 2rem 0;
}

.section .heading i {
    position: absolute;
    top: 50%;
    right: 10rem;
    transform: translateY(-50%) rotate(0deg);
    transition: 0.5s;
}

.food {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    align-items: center;
    justify-content: center;
}

.food-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    width: max-content;
    gap: 2px;
    padding: 0.4rem;
}
.food-wrapper.none {
    display: none;
}
.food-wrapper i {
    font-size: 3rem;
}
.food-wrapper img {
    width: 3rem;
}
.food-wrapper label {
    font-size: 2rem;
}
label.teste {
    color: rgb(8, 189, 119);
}
.food-wrapper input {
    padding: 0.3rem;
    text-align: center;
    border: none;
    font-size: 2rem;
    border-radius: 1rem;
}



.nav {
    height: 100vh;
    width: 0vw;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.8);
    transition: 1s;
    display: grid;
    place-content: center;
    z-index: 10;
}

.nav h2 {
    text-align: center;
    opacity: 0;
    visibility: hidden;
    color: white;
    font-size: 2rem;
}

.nav .list-menu {
    padding: 1rem 4rem;
    visibility: hidden;
    opacity: 0;
}

.nav.active .list-menu,
.nav.active h2,
.nav.active .topo {
    transition: opacity 1s 1s;
    visibility: visible;
    opacity: 1;
}

.nav .list-menu li {
    cursor: pointer;
    color: white;
    font-size: 1.5rem;
    margin-bottom: 0.3rem;
    transition: color 0.4s;
}

.nav .list-menu li.highlight {
    color: rgb(29, 179, 37);
}

.nav .list-menu li.highlight:hover {
    color: rgb(9, 238, 21);
}

.nav .list-menu li:hover,
.topo li:hover {
    color: #3b748d;
}

.nav.active {
    width: 20vw;
}

.nav.active .icon {
    background-color: rgba(0, 0, 0, 0);
}


/* Topo Menu */
.menu-heading{
    display: flex;
    align-items: center;
}


.topo {
    position: absolute;
    top: 3rem;
    right: 4rem;
    color: white;
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
}

.topo li{
    transition: color 0.4s;
}

.icon {
    cursor: pointer;
    border: none;
    background-color: rgba(0, 0, 0, 0.6);
    border-radius: 50%;
    position: fixed;
    width: 30px;
    padding: 2rem;
    top: 2rem;
    left: 4rem;
    transition: 1s;
}
.line {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
    width: 2px;
    height: 25px;
    background-color: white;
    transform-origin: center;
    transition: 1s;
}
.line1 {
    transform: translate(-50%, -20%) rotate(-90deg);
}
.line2 {
    transform: translate(-50%, -50%) rotate(-90deg);
}
.line3 {
    transform: translate(-50%, -80%) rotate(90deg);
}
.nav.active .icon .line1 {
    transform: translate(-50%, -50%) rotate(-45deg);
}
.nav.active .icon .line2 {
    transform: translate(-50%, -50%) rotate(45deg);
}
.nav.active .icon .line3 {
    transform: translate(-50%, -50%) rotate(45deg);
}
/* Fim do Topo do menu */
/* Input */
.input{
    display: block;
    background: none;
    border: none;
    outline: none;
    width: 70%;
    margin: 0 auto;
    margin-bottom: 2rem;
    color: black;
    font-size: 2rem;
    background-color: rgba(255, 255, 255, 0.6);
    padding: .5rem;
    opacity: 0;
    visibility: hidden;
}

.nav.active .input{
    transition: opacity 1s 1s;
    opacity: 1;
    visibility: visible;
}


.input::placeholder{
    color: black;
    font-size: 1.4rem;
}

.input:focus{
    background-color: #fff;
}




/* Reponsivo */

@media screen and (max-width:1300px){
    html {
        font-size: 58.5%;
    }  

    .nav.active {
        width: 25vw;
    }

    .food-wrapper {
     padding: 0rem;
    }

    .topo {
        position: absolute;
        top: 3rem;
        right: 4rem;
        color: white;
        cursor: pointer;
        opacity: 0;
        visibility: hidden;
    }

    .topo li{
        font-size: 1.5rem;
    }

    .nav .list-menu li{
        font-size: 2rem;
    }
}

@media screen and (max-width:1000px){
    .nav.active {
        width: 30vw;
    }
}

@media screen and (max-width:900px){
    html {
        font-size: 50%;
    }  
    .nav.active {
        width: 35vw;
    }
}

@media screen and (max-width:700px){
    .section .heading {
        font-size: 2rem;

    }

    .section .heading i {
        position: absolute;
        top: 50%;
        right: 3rem;
        transform: translateY(-50%) rotate(0deg);
        transition: 0.5s;
    }

    .food-wrapper input{
        width: 17rem;
    }
    .nav.active {
        width: 45vw;
    }
}

@media screen and (max-width:550px){
    .nav.active {
        width: 55vw;
    }
}


@media screen and (max-width:450px){
    .nav.active {
        width: 75vw;
    }

    .nav .list-menu li{
        font-size: 2.5rem;
    }
}